Index: modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/service/DashboardServiceImpl.java
===================================================================
--- modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/service/DashboardServiceImpl.java	(revision 61440)
+++ modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/service/DashboardServiceImpl.java	(revision 61441)
@@ -1,6 +1,5 @@
 package eu.dnetlib.repo.manager.service;
 
-import eu.dnetlib.domain.data.Repository;
 import eu.dnetlib.repo.manager.domain.*;
 import eu.dnetlib.repo.manager.domain.broker.BrowseEntry;
 import org.apache.log4j.Logger;
@@ -27,59 +26,59 @@
     @Override
     public List<RepositorySummaryInfo> getRepositoriesSummaryInfo(String userEmail,
                                                                   String page,
-                                                                  String size){
+                                                                  String size) {
 
         List<RepositorySummaryInfo> repositorySummaryInfoList = new ArrayList<>();
 
         try {
 
-                List<Repository> repositoriesOfUser = repositoryService.getRepositoriesOfUser(userEmail, page, size);
-                for(Repository repository: repositoriesOfUser) {
-                    RepositorySummaryInfo repositorySummaryInfo = new RepositorySummaryInfo();
-                    repositorySummaryInfo.setId(repository.getId());
-                    repositorySummaryInfo.setRepositoryName(repository.getOfficialName());
-                    repositorySummaryInfo.setLogoURL(repository.getLogoUrl());
+            List<RepositorySnippet> repositoriesOfUser = repositoryService.getRepositoriesSnippetsOfUser(userEmail, page, size);
+            for (RepositorySnippet repository : repositoriesOfUser) {
+                RepositorySummaryInfo repositorySummaryInfo = new RepositorySummaryInfo();
+                repositorySummaryInfo.setId(repository.getId());
+                repositorySummaryInfo.setRepositoryName(repository.getOfficialname());
+                repositorySummaryInfo.setLogoURL(repository.getLogoUrl());
 
-                    //TODO getRepositoryAggregations returns only the 20 more recent items. Is it positive that we will find an indexed version there?
-                    long start = System.currentTimeMillis();
-                    List<AggregationDetails> aggregationDetailsList = repositoryService.getRepositoryAggregations(repository.getId(),0,20);
-                    for(AggregationDetails aggregationDetails: aggregationDetailsList) {
-                        if(aggregationDetails.getIndexedVersion()) {
-                            repositorySummaryInfo.setRecordsCollected(aggregationDetails.getNumberOfRecords());
-                            repositorySummaryInfo.setLastIndexedVersion(aggregationDetails.getDate());
-                            break;
-                        }
+                //TODO getRepositoryAggregations returns only the 20 more recent items. Is it positive that we will find an indexed version there?
+                long start = System.currentTimeMillis();
+                List<AggregationDetails> aggregationDetailsList = repositoryService.getRepositoryAggregations(repository.getId(), 0, 20);
+                for (AggregationDetails aggregationDetails : aggregationDetailsList) {
+                    if (aggregationDetails.getIndexedVersion()) {
+                        repositorySummaryInfo.setRecordsCollected(aggregationDetails.getNumberOfRecords());
+                        repositorySummaryInfo.setLastIndexedVersion(aggregationDetails.getDate());
+                        break;
                     }
-                    long end = System.currentTimeMillis();
+                }
+                long end = System.currentTimeMillis();
 
-                    System.out.println("Got repo aggregations in "+ (end-start)+"ms");
+                System.out.println("Got repo aggregations in " + (end - start) + "ms");
 
-                    try {
+                try {
 
-                        MetricsInfo metricsInfo = repositoryService.getMetricsInfoForRepository(repository.getId());
-                        repositorySummaryInfo.setTotalDownloads(metricsInfo.getMetricsNumbers().getTotalDownloads());
-                        repositorySummaryInfo.setTotalViews(metricsInfo.getMetricsNumbers().getTotalViews());
+                    MetricsInfo metricsInfo = repositoryService.getMetricsInfoForRepository(repository.getId());
+                    repositorySummaryInfo.setTotalDownloads(metricsInfo.getMetricsNumbers().getTotalDownloads());
+                    repositorySummaryInfo.setTotalViews(metricsInfo.getMetricsNumbers().getTotalViews());
 
-                    } catch (RepositoryServiceException e) {
-                        logger.error("Exception getting metrics info for repository: " + repository.getId(), e);
-                    }
+                } catch (RepositoryServiceException e) {
+                    logger.error("Exception getting metrics info for repository: " + repository.getId(), e);
+                }
 
-                    try {
+                try {
 
-                        List<BrowseEntry> events = brokerService.getTopicsForDatasource(repository.getOfficialName());
-                        Long totalEvents = 0L;
-                        for(BrowseEntry browseEntry: events)
-                            totalEvents += browseEntry.getSize();
-                        repositorySummaryInfo.setEnrichmentEvents(totalEvents);
+                    List<BrowseEntry> events = brokerService.getTopicsForDatasource(repository.getOfficialname());
+                    Long totalEvents = 0L;
+                    for (BrowseEntry browseEntry : events)
+                        totalEvents += browseEntry.getSize();
+                    repositorySummaryInfo.setEnrichmentEvents(totalEvents);
 
 
-                    } catch (BrokerException e) {
-                        logger.error("Exception getting broker events for repository: " + repository.getId(), e);
-                    }
-
-                    repositorySummaryInfoList.add(repositorySummaryInfo);
+                } catch (BrokerException e) {
+                    logger.error("Exception getting broker events for repository: " + repository.getId(), e);
                 }
 
+                repositorySummaryInfoList.add(repositorySummaryInfo);
+            }
+
         } catch (Exception e) {
             logger.error("Something baad happened!", e);
         }
Index: modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/utils/HttpUtils.java
===================================================================
--- modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/utils/HttpUtils.java	(nonexistent)
+++ modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/utils/HttpUtils.java	(revision 61441)
@@ -0,0 +1,99 @@
+package eu.dnetlib.repo.manager.utils;
+
+import com.google.gson.JsonElement;
+import com.google.gson.JsonObject;
+import com.google.gson.JsonParser;
+import org.apache.commons.codec.binary.Base64;
+import org.apache.log4j.Logger;
+import org.springframework.beans.factory.annotation.Value;
+import org.springframework.http.*;
+import org.springframework.stereotype.Component;
+import org.springframework.web.client.RestTemplate;
+
+import java.nio.charset.Charset;
+import java.util.Map;
+
+@Component
+public class HttpUtils {
+
+    private static final Logger logger = Logger.getLogger(HttpUtils.class);
+
+    @Value("${aai.registry.url}")
+    private String registryUrl;
+
+    @Value("${aai.registry.authentication.username}")
+    private String user;
+
+    @Value("${aai.registry.authentication.password}")
+    private String password;
+
+    public JsonElement post(String path, JsonObject body) {
+        RestTemplate restTemplate = new RestTemplate();
+        HttpHeaders headers = createHeaders(user, password);
+        headers.setContentType(MediaType.APPLICATION_JSON);
+        HttpEntity<String> request = new HttpEntity<>(body.toString(), headers);
+        ResponseEntity<String> responseEntity = restTemplate.exchange(registryUrl + path, HttpMethod.POST, request, String.class);
+        return getResponseEntityAsJsonElement(responseEntity);
+    }
+
+    public JsonElement put(String path, JsonObject body) {
+        RestTemplate restTemplate = new RestTemplate();
+        HttpHeaders headers = createHeaders(user, password);
+        headers.setContentType(MediaType.APPLICATION_JSON);
+        HttpEntity<String> request = new HttpEntity<>(body.toString(), headers);
+        ResponseEntity<String> responseEntity = restTemplate.exchange(registryUrl + path, HttpMethod.PUT, request, String.class);
+        return getResponseEntityAsJsonElement(responseEntity);
+    }
+
+    public JsonElement get(String path, Map<String, String> params) {
+        RestTemplate restTemplate = new RestTemplate();
+        String url = registryUrl + path + ((params != null) ? createParams(params) : null);
+        ResponseEntity<String> responseEntity = restTemplate.exchange
+                (url, HttpMethod.GET, new HttpEntity<>(createHeaders(user, password)), String.class);
+        return getResponseEntityAsJsonElement(responseEntity);
+    }
+
+    public JsonElement delete(String path) {
+        RestTemplate restTemplate = new RestTemplate();
+        String url = registryUrl + path;
+        ResponseEntity<String> responseEntity = restTemplate.exchange
+                (url, HttpMethod.DELETE, new HttpEntity<>(createHeaders(user, password)), String.class);
+        return getResponseEntityAsJsonElement(responseEntity);
+    }
+
+
+    private String createParams(Map<String, String> params) {
+        StringBuilder ret = new StringBuilder("?");
+        int count = 0;
+        for (Map.Entry<String, String> param : params.entrySet()) {
+            ret.append(param.getKey()).append("=").append(param.getValue());
+            count++;
+            if (count != params.entrySet().size()) {
+                ret.append("&");
+            }
+        }
+        return ret.toString();
+    }
+
+    private HttpHeaders createHeaders(String username, String password) {
+        return new HttpHeaders() {{
+            String auth = username + ":" + password;
+            byte[] encodedAuth = Base64.encodeBase64(
+                    auth.getBytes(Charset.forName("US-ASCII")));
+            String authHeader = "Basic " + new String(encodedAuth);
+            set("Authorization", authHeader);
+        }};
+    }
+
+    private JsonElement getResponseEntityAsJsonElement(ResponseEntity<String> responseEntity) {
+        if (responseEntity != null && responseEntity.getBody() != null) {
+            logger.info(responseEntity.getBody());
+            try {
+                return new JsonParser().parse(responseEntity.getBody());
+            } catch (Exception e) {
+                logger.warn("Could not parse response body", e);
+            }
+        }
+        return null;
+    }
+}
Index: modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/utils/DatasourceManagerClient.java
===================================================================
--- modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/utils/DatasourceManagerClient.java	(nonexistent)
+++ modules/uoa-repository-manager-service/trunk/src/main/java/eu/dnetlib/repo/manager/utils/DatasourceManagerClient.java	(revision 61441)
@@ -0,0 +1,5 @@
+package eu.dnetlib.repo.manager.utils;
+
+public class DatasourceManagerClient {
+    //
+}
